summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTomas Mozes <hydrapolic@gmail.com>2019-03-06 18:54:06 -0800
committerZac Medico <zmedico@gentoo.org>2019-03-06 18:56:05 -0800
commit896a97d1196474616729ad75a81418789b8b7187 (patch)
tree9f0aee3b9cf4066ea8e6d1817d52718aea209c82 /app-admin
parentwww-client/chromium: stable channel bump (72.0.3626.121) (diff)
downloadgentoo-896a97d1196474616729ad75a81418789b8b7187.tar.gz
gentoo-896a97d1196474616729ad75a81418789b8b7187.tar.bz2
gentoo-896a97d1196474616729ad75a81418789b8b7187.zip
app-admin/mongo-tools: allow building with dev-lang/go-1.12
Bug: https://bugs.gentoo.org/678924 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Tomáš Mózes <hydrapolic@gmail.com> Signed-off-by: Zac Medico <zmedico@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/mongo-tools/mongo-tools-4.0.4.ebuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/app-admin/mongo-tools/mongo-tools-4.0.4.ebuild b/app-admin/mongo-tools/mongo-tools-4.0.4.ebuild
index 5cf7cbaadac..27f23784aa2 100644
--- a/app-admin/mongo-tools/mongo-tools-4.0.4.ebuild
+++ b/app-admin/mongo-tools/mongo-tools-4.0.4.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2018 Gentoo Authors
+# Copyright 1999-2019 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -43,6 +43,9 @@ src_prepare() {
if ! use ppc64; then
sed -i 's/\(go build\)/\1 -buildmode=pie/g' build.sh || die
fi
+
+ # allow building with go 1.12 #678924
+ sed -i 's/_Ctype_struct_/C.struct_/' vendor/src/github.com/google/gopacket/pcap/pcap.go || die
}
src_compile() {